<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>T-Index</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="T-Index";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-14.html">Prev Letter</a></li>
<li><a href="index-16.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-15.html" target="_top">Frames</a></li>
<li><a href="index-15.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">Z</a>&nbsp;<a name="_T_">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><a href="../test/package-summary.html">test</a> - package test</dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../test/GameRuleTest.html#testGameRule()">testGameRule()</a></span> - Method in class test.<a href="../test/GameRuleTest.html" title="class in test">GameRuleTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../test/GameRuleOnlineTest.html#testGameRuleOnline()">testGameRuleOnline()</a></span> - Method in class test.<a href="../test/GameRuleOnlineTest.html" title="class in test">GameRuleOnlineTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../test/GameRuleOnlineTest.html#testGetPlayerById()">testGetPlayerById()</a></span> - Method in class test.<a href="../test/GameRuleOnlineTest.html" title="class in test">GameRuleOnlineTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../test/GameRuleTest.html#testGetScoreTab()">testGetScoreTab()</a></span> - Method in class test.<a href="../test/GameRuleTest.html" title="class in test">GameRuleTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../test/PositionTest.html#testGetXSetX()">testGetXSetX()</a></span> - Method in class test.<a href="../test/PositionTest.html" title="class in test">PositionTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../test/PositionTest.html#testGetYSetY()">testGetYSetY()</a></span> - Method in class test.<a href="../test/PositionTest.html" title="class in test">PositionTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../test/PieceTest.html#testPiece()">testPiece()</a></span> - Method in class test.<a href="../test/PieceTest.html" title="class in test">PieceTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../test/PlayerTest.html#testPlayer()">testPlayer()</a></span> - Method in class test.<a href="../test/PlayerTest.html" title="class in test">PlayerTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../test/PlayerOnlineTest.html#testPlayerOnline()">testPlayerOnline()</a></span> - Method in class test.<a href="../test/PlayerOnlineTest.html" title="class in test">PlayerOnlineTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../test/PositionTest.html#testPosition()">testPosition()</a></span> - Method in class test.<a href="../test/PositionTest.html" title="class in test">PositionTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../model/GameRule.html#testSave(java.lang.String)">testSave(String)</a></span> - Method in class model.<a href="../model/GameRule.html" title="class in model">GameRule</a></dt>
<dd>
<div class="block">Test if the save can be done.</div>
</dd>
<dt><span class="strong"><a href="../test/GameRuleTest.html#testSetRandom()">testSetRandom()</a></span> - Method in class test.<a href="../test/GameRuleTest.html" title="class in test">GameRuleTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../test/PieceTest.html#testSetScore()">testSetScore()</a></span> - Method in class test.<a href="../test/PieceTest.html" title="class in test">PieceTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../test/PlayerTest.html#testUsePiece()">testUsePiece()</a></span> - Method in class test.<a href="../test/PlayerTest.html" title="class in test">PlayerTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../model/Map.html#tryAdd(model.Piece,%20model.Position)">tryAdd(Piece, Position)</a></span> - Method in class model.<a href="../model/Map.html" title="class in model">Map</a></dt>
<dd>
<div class="block">Check if the specify piece and position can be place on the map.</div>
</dd>
<dt><span class="strong"><a href="../model/Map.html#tryAll(model.Piece,%20model.Position)">tryAll(Piece, Position)</a></span> - Method in class model.<a href="../model/Map.html" title="class in model">Map</a></dt>
<dd>
<div class="block">Try all usable piece in all different ways but do not change the initial state of the piece.</div>
</dd>
<dt><span class="strong"><a href="../model/Map.html#tryAllKeepRotate(model.Piece,%20model.Position)">tryAllKeepRotate(Piece, Position)</a></span> - Method in class model.<a href="../model/Map.html" title="class in model">Map</a></dt>
<dd>
<div class="block">Try all usable piece in all different ways and change the initial state of the piece.</div>
</dd>
<dt><span class="strong"><a href="../model/Map.html#tryAllWeight(model.Piece,%20model.Position,%20int,%20int,%20model.GameRule)">tryAllWeight(Piece, Position, int, int, GameRule)</a></span> - Method in class model.<a href="../model/Map.html" title="class in model">Map</a></dt>
<dd>
<div class="block">Try all usable piece in all different ways and change the initial state of the piece.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">Z</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-14.html">Prev Letter</a></li>
<li><a href="index-16.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-15.html" target="_top">Frames</a></li>
<li><a href="index-15.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
